:-consult('strings.pl').


lets_go:- 
	free(@serverButton),
	free(@clientButton),
	
	
	new(@d,dialog('Server or Client?')),
	send_list(@d,append,
	[
		new(@serverButton,button('Start Server',message(@prolog,server_start))),
		
		new(@clientButton,button('Start Client',message(@prolog,client_start)))
		
	]),
	send(@d,open).

:-lets_go.

server_start :- free_stuff, consult('../gui/start_server.pl').
client_start :- free_stuff, consult('../gui/start_client.pl').

free_stuff :- send(@d, destroy), free(@d), free(@serverButton), free(@clientButton).